﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{CBB9FB04-5861-446A-B36E-A00C5F060C2F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Nano.Science.Simulation</RootNamespace>
    <AssemblyName>Nano.Science.Simulation</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\bin\debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
    <DocumentationFile>bin\Debug\Nano.Science.Simulation.xml</DocumentationFile>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin\release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\bin\x86\debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <WarningLevel>4</WarningLevel>
    <Optimize>false</Optimize>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86'">
    <OutputPath>..\bin\x86\release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="QuickGraph">
      <HintPath>..\Libraries\Quickgraph 2.0\Release\QuickGraph.dll</HintPath>
    </Reference>
    <Reference Include="Rug.Osc">
      <HintPath>..\Libraries\Rug.Osc.dll</HintPath>
    </Reference>
    <Reference Include="Rug.Osc.Packaging">
      <HintPath>..\Libraries\Rug.Osc.Packaging.dll</HintPath>
    </Reference>
    <Reference Include="SlimMath">
      <HintPath>..\Libraries\SlimMath.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\Nano.Version.cs">
      <Link>Properties\Nano.Version.cs</Link>
    </Compile>
    <Compile Include="AssemblyRoot.cs" />
    <Compile Include="ForceField\Constraint.cs" />
    <Compile Include="ForceField\IExternalForceField.cs" />
    <Compile Include="Interaction\Interaction.cs" />
    <Compile Include="Interaction\InteractionList.cs" />
    <Compile Include="ISimulation.cs" />
    <Compile Include="Log\SimulationLoggerBase.cs" />
    <Compile Include="Log\SimulationLogManager.Commands.cs" />
    <Compile Include="Log\XYZLogger.cs" />
    <Compile Include="SimulationBase.cs" />
    <Compile Include="Spawning\InstanceSpawner.cs" />
    <Compile Include="Spawning\ISpawnable.cs" />
    <Compile Include="Spawning\ISpawner.cs" />
    <Compile Include="Spawning\LatticeSpawner.cs" />
    <Compile Include="Spawning\RandomSpawner.cs" />
    <Compile Include="Spawning\SpawnContext.cs" />
    <Compile Include="Spawning\SpawnHelper.cs" />
    <Compile Include="System\AtomicSystemBase.cs" />
    <Compile Include="System\IAtomicSystem.cs" />
    <Compile Include="ForceField\IConstraintImplementation.cs" />
    <Compile Include="ForceField\IConstraintTerm.cs" />
    <Compile Include="ForceField\IExternalForceFieldTerms.cs" />
    <Compile Include="Instantiated\IDynamicBonds.cs" />
    <Compile Include="Instantiated\IAtomSelectionPool.cs" />
    <Compile Include="Integrator\IntegratorPropertiesBase.cs" />
    <Compile Include="System\ISimulationBoundary.cs" />
    <Compile Include="Log\FlagsHelper.cs" />
    <Compile Include="Log\ISimulationLogger.cs" />
    <Compile Include="Log\LogOptions.cs" />
    <Compile Include="Log\SimulationLogManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Instantiated\BondList.cs" />
    <Compile Include="Instantiated\InstantiatedTopology.cs" />
    <Compile Include="Instantiated\Molecule.cs" />
    <Compile Include="FlexibleFileFormatException.cs" />
    <Compile Include="ForceField\IInstantiatedForceFieldTerms.cs" />
    <Compile Include="ForceField\IForceField.cs" />
    <Compile Include="ForceField\IForceFieldTerms.cs" />
    <Compile Include="Integrator\IIntegrator.cs" />
    <Compile Include="Integrator\IIntegratorProperties.cs" />
    <Compile Include="System\ParticleCollection.cs" />
    <Compile Include="Residues\AtomMetaData.cs" />
    <Compile Include="Residues\AtomPath.cs" />
    <Compile Include="Residues\BondMetaData.cs" />
    <Compile Include="Residues\IAtom.cs" />
    <Compile Include="Residues\IBond.cs" />
    <Compile Include="Residues\IResidue.cs" />
    <Compile Include="Residues\Residue.cs" />
    <Compile Include="Residues\ResidueBase.cs" />
    <Compile Include="Residues\ResidueCollection.cs" />
    <Compile Include="Residues\ResidueFile.cs" />
    <Compile Include="Residues\ResidueUtils.cs" />
    <Compile Include="SimulationFile.cs" />
    <Compile Include="System\SystemProperties.cs" />
    <Compile Include="Thermostat\Barostat.cs" />
    <Compile Include="Thermostat\BarostatPropertiesBase.cs" />
    <Compile Include="Thermostat\IThermostat.cs" />
    <Compile Include="Thermostat\IThermostatProperties.cs" />
    <Compile Include="Thermostat\ThermostatBase.cs" />
    <Compile Include="Thermostat\ThermostatPropertiesBase.cs" />
    <Compile Include="Topology.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Narupa\Narupa.Trajectory\Narupa.Trajectory.csproj">
      <Project>{f2fe53c1-f95a-424c-9080-952b83e42cff}</Project>
      <Name>Narupa.Trajectory</Name>
    </ProjectReference>
    <ProjectReference Include="..\Nano\Nano.csproj">
      <Project>{81e7b74c-6992-4f68-8b78-9145fa6e0f99}</Project>
      <Name>Nano</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it.
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
  <Import Project="..\..\simbox-engine\packages\Vsxmd.1.2.0\build\Vsxmd.targets" Condition="Exists('..\..\simbox-engine\packages\Vsxmd.1.2.0\build\Vsxmd.targets')" />
</Project>